Tariff information
GET
/tariff/{type}
const url = 'https://demo.evcc.io/api/tariff/grid';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.evcc.io/api/tariff/gridReturns the prices or emission values for the upcoming hours
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”type
required
string
Tariff type
Responses
Section titled “Responses”Success
Media typeapplication/json
object
rates
Array<object>
A time slot with an associated price or emission value.
object
start
required
Start of the time slot.
string format: date-time
end
required
End of the time slot.
string format: date-time
value
required
Price per kWh in the configured currency or emissions in g/kWh.
number
Examplegenerated
{ "rates": [ { "start": "2026-04-15T12:00:00Z", "end": "2026-04-15T12:00:00Z", "value": 1 } ]}Tariff not defined